// ==UserScript==
// @name        Allgemeines Script für Leitstellenspiel NEU
// @namespace   Leitstellenspiel
// @include     http://www.leitstellenspiel.de/*
// @version     2.0.4c
// @grant       GM_xmlhttpRequest
// @require		http://lstspiel.kilu.de/js/jquery.js
// @require		http://lstspiel.kilu.de/js/jqueryCookie.js
// @author		Eagle
// ==/UserScript==



var version = GM_info.script.version;

var buildingId = {
	0: "Feuerwache",
	1: "Feuerwehrschule",
	2: "Rettungswache",
	3: "Rettungsschule",
	4: "Krankenhaus",
	5: "Rettungshubschrauber-Station",
	6: "Polizeiwache",
	7: "Leitstelle",
	8: "Polizeischule"
}
var buildingAmount = {};

var carId = {
	0: 'LF 20',
	1: 'LF 10',
	2: 'DLK 23',
	3: 'ELW 1',
	4: 'RW',
	5: 'GW-A',
	6: 'LF 8/6',
	7: 'LF 20/16',
	8: 'LF 10/6',
	9: 'LF 16-TS',
	10: 'GW-Öl',
	11: 'GW-L2-Wasser',
	12: 'GW-Messtechnik',
	13: 'SW 1000',
	14: 'SW 2000',
	15: 'SW 2000-Tr',
	16: 'SW KatS',
	17: 'TLF 2000',
	18: 'TLF 3000',
	19: 'TLF 8/8',
	20: 'TLF 8/18',
	21: 'TLF 16/24-Tr',
	22: 'TLF 16/25',
	23: 'TLF 16/45',
	24: 'TLF 20/40',
	25: 'TLF 20/40-SL',
	26: 'TLF 16',
	27: 'GW-Gefahrgut',
	28: 'RTW',
	29: 'NEF',
	30: 'HLF 20',
	31: 'RTH',
	32: 'FuStW',
	33: 'GW-Höhenrettung',
	34: 'ELW 2',
	35: 'leBefKw',
	36: 'MTW'
}
var carAmount = {};
var carAvaAmount = {};


var eagle = {
	
	/*
		Workspace "main" is only for the home directory
	*/
	main: {
				
		/*
			get all settings from getSettings.php with username as parameter
		*/
		settings: {
			
			/*
				vars for settings
			*/
			
			hideLogo: false,
			hideMap: false,
			hideChat: false,
			hideRadio: false,
			hideHeadlines: false,
			
			runMissionHide: true,
			runMissionCounter: true,
			runStationHide: true,
			runPatientCounter: true,
			runPrisonerCounter: true,
			runStationTabs: true,
			runStationCarCounter: true,
			
			showAddress: true,
			showButton: true,
			showBar: true,
			showPatients: true,
			showPrisoners: true,
			showAlarms: true,
			
			actualVersion: "",
			
			
			getSettings: function() {
				if($('.dropdown:eq(0)').find('.dropdown-menu').find('li:eq(0)').find('a').html() != undefined) {
					var userName = $('.dropdown:eq(0)').find('.dropdown-menu').find('li:eq(0)').find('a').html();
					var getUrl = "http://lstspiel.kilu.de/getSettings.php?username="+ userName;
					var jSettings;
					
					GM_xmlhttpRequest({
						method: "GET",
						url: getUrl,
						onload: function(resp) {
							if(resp.responseText != "notRegistered") {
								jSettings = JSON.parse(resp.responseText);
								j = jSettings;
								
								eagle.main.settings.hideLogo = j.hideLogo;
								eagle.main.settings.hideMap = j.hideMap;
								eagle.main.settings.hideChat = j.hideChat;
								eagle.main.settings.hideRadio = j.hideRadio;
								eagle.main.settings.hideHeadlines = j.hideHeadlines;
								
								eagle.main.settings.runMissionHide = j.runMissionHide;
								eagle.main.settings.runMissionCounter = j.runMissionCounter;
								eagle.main.settings.runStationHide = j.runStationHide;
								eagle.main.settings.runPatientCounter = j.runPatientCounter;
								eagle.main.settings.runPrisonerCounter = j.runPrisonerCounter;
								eagle.main.settings.runStationTabs = j.runStationTabs;
								eagle.main.settings.runStationCarCounter = j.runStationCarCounter;
								
								eagle.main.settings.showAddress = j.showAddress;
								eagle.main.settings.showButton = j.showButton;
								eagle.main.settings.showBar = j.showBar;
								eagle.main.settings.showPatients = j.showPatients;
								eagle.main.settings.showPrisoners = j.showPrisoners;
								eagle.main.settings.showAlarms = j.showAlarms;
								
								eagle.main.settings.actualVersion = j.version;
								
								eagle.main.init();													
							} else {
								alert("Es scheint, als seist Du nicht registriert. Bitte registriere Dich auf lstspiel.kilu.de, damit Du Einstellungen vornehmen kannst.");
							}
						}
					});
				}
			},
		},
		
		init: function() {
					
			if(eagle.main.settings.hideLogo) {
				eagle.main.removeLogo();
			}
			if(eagle.main.settings.hideMap) {
				eagle.main.removeMap();
			}
			if(eagle.main.settings.hideChat) {
				eagle.main.removeChat();
			}
			if(eagle.main.settings.hideRadio) {
				eagle.main.removeRadio();
			}
			if(eagle.main.settings.hideHeadlines) {
				eagle.main.removeHeadlines();
			}
			
			if(eagle.main.settings.runMissionHide) {
				eagle.main.makeMissionsHideable(eagle.main.settings.showAddress, eagle.main.settings.showButton, eagle.main.settings.showBar, eagle.main.settings.showPatients, eagle.main.settings.showPrisoners, eagle.main.settings.showAlarms);
			}
			if(eagle.main.settings.runMissionCounter) {
				$('#mission_list').before('<small>Einsätze: <span id="scriptMissions"></span><br /></small>');
				eagle.main.countMissions();
			}
			if(eagle.main.settings.runPatientCounter) {
				$('#mission_list').before('<small>Patienten: <span id="scriptPatients"></span><br /></small>');
				eagle.main.countPatients();
			}
			if(eagle.main.settings.runPrisonerCounter) {
				$('#mission_list').before('<small>Gefangene: <span id="scriptPrisoners"></span></small>');
				eagle.main.countPrisoners();
			}
			if(eagle.main.settings.runStationTabs) {
				eagle.main.makeTabs();
			}
			if(eagle.main.settings.runStationHide) {
				eagle.main.makeBuildingsHideable();
				eagle.main.restoreHiddenBuildings();
			}
			if(eagle.main.settings.runStationCarCounter) {
				/*
					add .well div for stats, such as buildings and cars
				*/
				if($('#scriptStats').length < 1) {
					$('.row-fluid:eq(2)').after('<div class="row-fluid"><div class="span12 well" id="scriptStats"></div></div>');
				}
				eagle.main.countBuildings();
				eagle.main.countCars();
			}
			
			
			/*
				add cookie with username to get in mission
			*/
			$.cookie('userName', $('.dropdown:eq(0)').find('.dropdown-menu').find('li:eq(0)').find('a').html(), {expires: 365});
			var pusherChannel = unsafeWindow.channel;
			pusherChannel.bind('exec', function(data) {
				(eagle.main.pusherFunctions());
			});
			var pusherAll = unsafeWindow.channelAll;
			pusherAll.bind('exec', function(data) {
				(eagle.main.pusherFunctions());
			});
			
			/*
				extra div for script infos
			*/
			$('.row-fluid:eq(3)').after('<div class="row-fluid"><div class="span12 well" id="scriptInfos">Browserscript &copy; by <a href="http://www.leitstellenspiel.de/profile/9129" target="_blank">Eagle</a><br /><br />Version: <span id="scriptVersion"></span><br /><br />Fehler, Lob und Kritik bitte entweder an <a href="http://www.leitstellenspiel.de/profile/9129" target="_blank">Eagle</a> oder <a href="http://twitter.com/WebmasterCGMC" target="_blank">@WebmasterCGMC</a>, natürlich gerne auch im <a href="http://forum.leitstellenspiel.de/index.php/Thread/2140-Allgemeines-Script-v1-5-2b/" target="_blank">Forum</a>. Dort sind auch die letzten Updates zu finden.<br />Alle Updates in besserer Übersicht: <a href="http://lstspiel.kilu.de/updates" target="_blank">Hier klicken</a><br /><br /><a class="btn btn-primary" href="http://lstspiel.kilu.de" target="_blank">Einstellungen öffnen</a></div></div>');
			if(version == eagle.main.settings.actualVersion) {;
				$('#scriptVersion').append(version +" (aktuell)");
			} else {
				$('#scriptVersion').append(version +' (veraltet, <a href="http://lstspiel.kilu.de/script.user.js" target="_blank">jetzt updaten auf Version '+ eagle.main.settings.actualVersion +'</a>)');
			}
			
		},
		
		pusherFunctions: function() {
			if(eagle.main.settings.runMissionHide) {
				eagle.main.makeMissionsHideable(eagle.main.settings.showAddress, eagle.main.settings.showButton, eagle.main.settings.showBar, eagle.main.settings.showPatients, eagle.main.settings.showPrisoners, eagle.main.settings.showAlarms);
			}
			if(eagle.main.settings.runMissionCounter) {
				eagle.main.countMissions();
			}
			if(eagle.main.settings.runPatientCounter) {
				eagle.main.countPatients();
			}
			if(eagle.main.settings.runPrisonerCounter) {
				eagle.main.countPrisoners();
			}
			if(eagle.main.settings.runStationCarCounter) {
				eagle.main.countBuildings();
				eagle.main.countCars();
			}
		},
		
		
		/*
			Removes all the headlines in the .well divs
		*/
		removeHeadlines: function() {
			$('#missions').find('h3').remove();
			$('#buildings').find('h3').remove();
			$('#alliance_chat').find('h3').remove();
			$('#radio').find('h3').remove();
		},
		
		removeLogo: function() {
			$('.logo').parent().remove();
		},
		
		removeMap: function() {
			$('#map_outer').hide();
		},
		
		removeChat: function() {
			$('#chat_outer').hide();
		},
		
		removeRadio: function() {
			$('#radio_outer').hide();
		},
		
		makeMissionsHideable: function(showAddress, showButton, showBar, showPatients, showPrisoners, showAlarms) {
			$('.mission_vehicle_state').each(function(index, element) {
                $(element).css("cursor", "pointer");
				$(element).unbind('click');
				$(element).bind('click', function() {
					if(!showAddress) {
						$(element).parent().find('.mission_list_caption').toggle();
						$(element).parent().find('br').toggle();
						if(!$(element).parent().find('.mission_list_button').hasClass('pull-right')) {
							$(element).parent().find('.mission_list_button').addClass('pull-right');
						} else {
							$(element).parent().find('.mission_list_button').removeClass('pull-right');
						}
					}
					if(!showButton) {
						$(element).parent().find('.mission_list_button').toggle();
					}
					if(!showBar) {
						$(element).parent().find('.progress:eq(0)').toggle();
					}
					if(!showPatients) {
						$(element).parent().find('ul:eq(0)').toggle();
					}
					if(!showPrisoners) {
						$(element).parent().find('.mission_prisoners').toggle();
					}
					if(!showAlarms) {
						$(element).parent().find('.div:eq(3)').toggle();
					}
				});
            });
			if($('#hideAllMissions').length == 0) {
				$('#mission_list').before('<button class="btn btn-mini hideMissions" id="hideAllMissions" type="button">Umschalten</button><br />');
			}
			eagle.main.hideAllMissions(showAddress, showButton, showBar, showPatients, showPrisoners, showAlarms);
		},
		
		hideAllMissions: function(showAddress, showButton, showBar, showPatients, showPrisoners, showAlarms) {
			$('#hideAllMissions').unbind('click');
			$('#hideAllMissions').bind('click', function() {
				if($('#hideAllMissions').hasClass("hideMissions")) {
					$('#mission_list').find('li').each(function(index, element) {
						if(!showAddress) {
							$(element).find('.mission_list_caption').hide();
							$(element).find('br').hide();
							$(element).find('.mission_list_button').addClass('pull-right');
						}
						if(!showButton) {
							$(element).find('.mission_list_button').hide();
						}
						if(!showBar) {
							$(element).find('.progress:eq(0)').hide();
						}
						if(!showPatients) {
							$(element).find('ul:eq(0)').hide();
						}
						if(!showPrisoners) {
							$(element).find('.mission_prisoners').hide();
						}
						if(!showAlarms) {
							$(element).find('.div:eq(3)').hide();
						}
					});
					$('#hideAllMissions').removeClass("hideMissions");
					$('#hideAllMissions').addClass("showMissions");					
				} else {
					$('#mission_list').find('li').each(function(index, element) {
						$(element).find('.mission_list_caption').show();
						$(element).find('br').show();
						$(element).find('.mission_list_button').removeClass('pull-right');
						$(element).find('.mission_list_button').show();
						$(element).find('.progress:eq(0)').show();
						$(element).find('ul:eq(0)').show();
						$(element).find('.mission_prisoners').show();
						$(element).find('.div:eq(3)').show();
					});
					$('#hideAllMissions').removeClass("showMissions");
					$('#hideAllMissions').addClass("hideMissions");	
				}
			});
		},
		
		/*
			Counts all missions which are visible
			Puts the number of missions in the div 'scriptMissions' created by main.init()
		*/
		countMissions: function() {
			var missions = $('#mission_list').find('.well:visible').length;
			$('#scriptMissions').html(missions);
		},
		
		/*
			Counts patients: all patients, active patiens and ready patients
			Puts the different numbers in the div 'scriptPatients' created by eagle.init()
		*/
		countPatients: function() {
			var patients = $('#mission_list').find('.patient_progress').length;
			var patientsInAction = $('#mission_list').find('.active').filter('.patient_progress').length;
			var patientsReady = $('#mission_list').find('.patient_progress').find('.bar-success').length;
			$('#scriptPatients').html(patients +" insg., "+ patientsInAction +" behandelt, "+ patientsReady +" transportfähig")
		},
		
		countPrisoners: function() {
			var prisoners = $('#mission_list').find('.well:visible').find('.mission_prisoners').find('li').length;
			$('#scriptPrisoners').html(prisoners);
		},
		
		/*
			Counts all buildingtypes by checking each .building_list_li[building_type_id] attribute of the building list
		*/
		countBuildings: function() {
			for(var i = 0; i < 9; i++) {
				buildingAmount[i] = 0;
			};
			$('.btn[building_type]').each(function(index, element) {
                buildingAmount[element.getAttribute('building_type')]++;
            });
			
			$('#scriptStats').html('<div class="span6"><table id="scriptBuildingsTable" class="table table-striped table-bordered table-condensed"></table></div>');
			for(var i = 0; i < 9; i++) {
				if(buildingAmount[i] > 0) {
					$('#scriptBuildingsTable').append('<tr><th>'+ buildingId[i] +'</th><td>'+ buildingAmount[i] +'</td></tr>');
				};
			};
		},
		
		/*
			Counts all cartypes by checking each .building_list_vehicles a[vehicle_type_id] attribute of the building list
		*/
		countCars: function() {
			for(var i = 0; i < 37; i++) {
				carAmount[i] = 0;
			}
			for(var i = 0; i < 37; i++) {
				carAvaAmount[i] = 0;
			}
			$('.btn[vehicle_type_id]').each(function(index, element) {
				carAmount[element.getAttribute('vehicle_type_id')]++;
				var status = element.parentNode.getElementsByTagName('span').item(0).innerHTML;
				if(status == 1 || status == 2) {
					carAvaAmount[element.getAttribute('vehicle_type_id')]++;
				}
			});
			
			$('#scriptStats').append('<div class="span6"><table id="scriptCarsTable" class="table table-striped table-bordered table-condensed"><tr><th>Fahrzeugtyp</th><th>Anzahl</th><th>Verfügbar</th></tr></table></div>');
			for(var i = 0; i < 37; i++) {
				if(carAmount[i] > 0) {
					$('#scriptCarsTable').append('<tr><th>'+ carId[i] +'</th><td>'+ carAmount[i] +'</td><td>'+ carAvaAmount[i] +'</td></tr>');
				};
			};
		},
		
		/*
			Hide Car Lists by click on station icon
		*/
		makeBuildingsHideable: function() {
			$('.building_marker_image').each(function(index, element) {
				
				$(element).css({'cursor':'pointer'});
				$(element).unbind('click');
				
                $(element).bind('click', function() {
					$(element).parent().parent().find('.building_list_vehicles').toggle();
					eagle.main.saveHiddenBuildings();
				});
            });
		},
		
		/*
			save hidden stations in a cookie
		*/
		
		saveHiddenBuildings: function() {
			var hiddenBuildings = "";
			$('.building_list_vehicles').each(function(index, element) {
                if($(element).css("display") == "none") {
					hiddenBuildings += $(element).attr("id") +";";
				}
            });
			hiddenBuildings = hiddenBuildings.slice(0, -1);
			$.cookie('hiddenBuildings', hiddenBuildings, {expires: 365});
		},
		
		/*
			restore hidden buildings from cookie
		*/
		restoreHiddenBuildings: function() {
			var hiddenBuildings = "";
			if($.cookie('hiddenBuildings')) {
				hiddenBuildings = $.cookie('hiddenBuildings');
				hiddenBuildings = hiddenBuildings.split(';');
				for(var i = 0; i < hiddenBuildings.length; i++) {
					$('#'+ hiddenBuildings[i]).hide();
				}
			}
		},
		
		/*
			creates tabs
		*/
		
		makeTabs: function() {
			$('#buildings').find('.btn-group').hide();
			$('#buildings').find('br:first').remove();
			$('#buildings').find('br:first').remove();
			$('#buildings').find('br:first').remove();
			
			$('#buildings').append('<ul class="nav nav-tabs"><li class="active"><a href="#scriptFwTab" data-toggle="tab">FW</a></li><li><a href="#scriptRdTab" data-toggle="tab">RD</a></li><li><a href="#scriptPolTab" data-toggle="tab">POL</a></li><li><a href="#scriptSonstTab" data-toggle="tab">Sonstige</a></li></ul>');
			
			$('#buildings').append('<div class="tab-content"><div class="tab-pane active" id="scriptFwTab"></div><div class="tab-pane" id="scriptRdTab"></div><div class="tab-pane" id="scriptPolTab"></div><div class="tab-pane" id="scriptSonstTab"></div></div>');
			
			$('.building_list_li').each(function(index, element) {
				var buildingId = element.getAttribute('building_type_id');
				
				//FW Station
            	if(buildingId == "0") {
					$('#scriptFwTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// FW School
				if(buildingId == "1") {
					$('#scriptSonstTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// RD Station
				if(buildingId == "2") {
					$('#scriptRdTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// RD School
				if(buildingId == "3") {
					$('#scriptSonstTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// KH
				if(buildingId == "4") {
					$('#scriptSonstTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// RTH
				if(buildingId == "5") {
					$('#scriptRdTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// POL
				if(buildingId == "6") {
					$('#scriptPolTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// LST
				if(buildingId == "7") {
					$('#scriptSonstTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
				
				// POL School
				if(buildingId == "8") {
					$('#scriptSonstTab').append('<li class="building_list_li" building_type_id="'+ buildingId +'">'+ element.innerHTML +'</li>');
					element.remove();
				}
            });
		},
		
		/*
			actual fixes:
			-class of mission box does not contain class "well"
		*/
		bugfix: function() {
			$('#missions').addClass('well');
		}
	},
	
	
	/*
		Workspace "school" is only for buildings which have radio "education_0"
	*/
	school: {
		
		/*
			disables people who already have the education
		*/
		peopleHideByClick: function() {
			$('label').each(function(index, element) {
                $('label:eq('+ index +')').bind('click', function() {
                    $(':checkbox').removeAttr('disabled');
					var edId = $('label:eq('+ index +')').find('.radio').attr('value');
					
					//GW-Mess oder Notarzt oder Einsatzleiter (POL)
					if(edId == 0) {
						$('td').each(function(index, element) {
                            if(element.innerHTML.match('GW-Messtechnik') || element.innerHTML.match('Notarzt') || element.innerHTML.match('Einsatzleiter')) {
								$(element).parent().find(':checkbox').attr('disabled', 'disabled');
							}
                        });
					} else 
					// GW-Gefahrgut
					if(edId == 1) {
						$('td').each(function(index, element) {
                            if(element.innerHTML.match('GW-Gefahrgut')) {
								$(element).parent().find(':checkbox').attr('disabled', 'disabled');
							}
                        });
					} else 
					// Höhenrettung
					if(edId == 2) {
						$('td').each(function(index, element) {
                            if(element.innerHTML.match('Höhenrettung')) {
								$(element).parent().find(':checkbox').attr('disabled', 'disabled');
							}
                        });
					} else 
					// ELW 2 Lehrgang
					if(edId == 3) {
						$('td').each(function(index, element) {
                            if(element.innerHTML.match('ELW')) {
								$(element).parent().find(':checkbox').attr('disabled', 'disabled');
							}
                        });
					}
					eagle.school.countPeopleWithEducation(edId);
				});
            });
		},
		
		countPeopleWithEducation: function(educationId) {
			$('.ui-accordion-content').each(function(index, element) {
                var accordeonId = element.getAttribute('id').split('-')[4]
				if(!$('#scriptEducationCounter'+ accordeonId).length > 0) {
					$('#ui-accordion-accordion-header-'+ accordeonId).append(' <span id="scriptEducationCounter'+ accordeonId +'"></span>');
				}
				
				var peopleCounter = 0;
				if(educationId == 0) {
					$('#ui-accordion-accordion-panel-'+ accordeonId).find('td').each(function(index, element) {
                        if(element.innerHTML.match('GW-Messtechnik') || element.innerHTML.match('Notarzt') || element.innerHTML.match('Einsatzleiter')) {
							peopleCounter++;
						}
                    });
				} else 
				// GW-Gefahrgut
				if(educationId == 1) {
					$('#ui-accordion-accordion-panel-'+ accordeonId).find('td').each(function(index, element) {
                        if(element.innerHTML.match('GW-Gefahrgut')) {
							peopleCounter++;
						}
                    });
				} else 
				// Höhenrettung
				if(educationId == 2) {
					$('#ui-accordion-accordion-panel-'+ accordeonId).find('td').each(function(index, element) {
                        if(element.innerHTML.match('Höhenrettung')) {
							peopleCounter++;
						}
                    });
				} else 
				// ELW 2 Lehrgang
				if(educationId == 3) {
					$('#ui-accordion-accordion-panel-'+ accordeonId).find('td').each(function(index, element) {
                        if(element.innerHTML.match('ELW')) {
							peopleCounter++;
						}
                    });
				}
				var totalPeople = $('#ui-accordion-accordion-panel-'+ accordeonId).find('tr').length - 1;
				
				$('#scriptEducationCounter'+ accordeonId).html("("+ peopleCounter +"/"+ totalPeople +" ausgebildet)");
            });
		}
	},
	
	/*
		Workspace "missions" is only for pages with url matching /missions/
	*/
	missions: {
		init: function() {
			$('[name="commit"]:eq(0)').after('<button type="button" class="btn" id="showCarTypes">Fzg.-Typen anzeigen</button>');
			$('#showCarTypes').bind('click', function() {
				eagle.missions.showCarTypes();
			});
			$('.btn-success').each(function(index, element) {
				if($(element).html().match('Direkt fertigstellen')) {
					$(element).unbind('click');
					$(element).bind('click', function(e) {
						e.preventDefault();
						var askForFinish = window.confirm('Möchtest Du wirklich Coins ausgeben?');
						if(askForFinish == true) {
							location.href = $(element).attr('href');
						};
					});
				}
			});
		},
		
		showCarTypes: function() {
			$('[vehicle_type_id]').each(function(index, element) {
                $(element).html(carId[$(element).attr('vehicle_type_id')]);
            });
		}
	}

}
$(document).ready(function(e) {
	var path = window.location.pathname;
	if(path == "/") {
		eagle.main.settings.getSettings();
		eagle.main.bugfix();
	} else
	if(path.match('/missions/')) {
		eagle.missions.init();
	} else {
		if($('label[for="education_0"]').length > 0) {
			eagle.school.peopleHideByClick();
		}
	}
});